<?php
/*------------------------------------------------------------------------
# com_zhgooglemap - Zh GoogleMap
# ------------------------------------------------------------------------
# author    Dmitry Zhuk
# copyright Copyright (C) 2011 zhuk.cc. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
# Websites: http://zhuk.cc
# Technical Support Forum: http://forum.zhuk.cc/
-------------------------------------------------------------------------*/
// No direct access
defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
$params = $this->form->getFieldsets('params');

$db = JFactory::getDBO();

$query = $db->getQuery(true);
$query->select('h.*, c.title as category ')
	->from('#__zhgooglemaps_maptypes as h')
	->leftJoin('#__categories as c ON h.catid=c.id')
	->where('h.published=1');
$db->setQuery($query);        

// Map Types
$maptypes = $db->loadObjectList();

?>
<form action="<?php echo JRoute::_('index.php?option=com_zhgooglemap&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
<div class="width-50 fltlft">

	
<?php echo JHtml::_('sliders.start', 'zhgooglemap3-slider'); ?>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_DETAIL'), 'map-mapinfo');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('details') as $field): ?>
				<li>
				<?php 
				if ($field->id == 'jform_weathertypeid')
				{
					echo $field->label;
						array_unshift($this->mapWeatherTypeList, JHTML::_('select.option', '0', JText::_( 'COM_ZHGOOGLEMAP_MAP_DETAIL_WEATHERTYPEID_NO'), 'value', 'text')); 
					echo JHTML::_( 'select.genericlist', $this->mapWeatherTypeList, 'jform[weathertypeid]',  'class="inputbox required" size="1"', 'value', 'text', (int)$this->item->weathertypeid, 'jform_weathertypeid');
					//echo $field->label;
					//echo $field->input;
				}
				else if ($field->id == 'jform_catid')
				{
					if ($this->categoryListType == 1)
					{
						echo $field->label;
							array_unshift($this->categoryList, JHTML::_('select.option', '', JText::_( 'JOPTION_SELECT_CATEGORY'), 'value', 'text')); 
						echo JHTML::_( 'select.genericlist', $this->categoryList, 'jform[catid]',  'class="inputbox" size="1"', 'value', 'text', (int)$this->item->catid, 'jform_catid');
						//echo $field->label;
						//echo $field->input;
					}
					else
					{
						echo $field->label;
						echo $field->input;
					}
				}
				else
				{
					echo $field->label;
					echo $field->input;
				}
				?>
				</li>

			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_DECOR_HEADER'), 'map-mapinfo-header');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapdecorheader') as $field): ?>
				<li>
				<?php 
				if ($field->id == 'jform_headerhtml')
				{
					echo '<div class="clr"></div>';
					echo $field->label;
					echo '<div class="clr"></div>';
					echo $field->input;
				}
				else
				{
					echo $field->label;
					echo $field->input;
				}
				?>
				</li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_DECOR_FOOTER'), 'map-mapinfo-footer');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapdecorfooter') as $field): ?>
				<li>
				<?php 
				if ($field->id == 'jform_footerhtml')
				{
					echo '<div class="clr"></div>';
					echo $field->label;
					echo '<div class="clr"></div>';
					echo $field->input;
				}
				else
				{
					echo $field->label;
					echo $field->input;
				}
				?>
				</li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_DECOR_STYLE'), 'map-mapinfo-style');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapdecorstyle') as $field): ?>
				<li>
				<?php 
				echo $field->label;
				echo $field->input;
				?>
				</li>
			<?php endforeach; ?>
		</ul>
	</fieldset>
	
	<?php echo JHtml::_('sliders.end'); ?>
	
</div>




<div class="width-50 fltrt">
<?php echo JHtml::_('sliders.start', 'zhgooglemap-slider'); ?>

<?php foreach ($params as $name => $fieldset): ?>
	<?php echo JHtml::_('sliders.panel', JText::_($fieldset->label), $name.'-params');?>
	<?php if (isset($fieldset->description) && trim($fieldset->description)): ?>
		<p class="tip"><?php echo $this->escape(JText::_($fieldset->description));?></p>
	<?php endif;?>
	<fieldset class="panelform" >
		<ul class="adminformlist">
		<?php foreach ($this->form->getFieldset($name) as $field) : ?>
			<li><?php echo $field->label; ?><?php echo $field->input; ?></li>
		<?php endforeach; ?>
		</ul>
	</fieldset>
<?php endforeach; ?>

<?php echo JHtml::_('sliders.end'); ?>
</div>


<div class="width-50 fltrt">
<?php echo JHtml::_('sliders.start', 'zhgooglemap2-slider'); ?>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_MAPDECOR'), 'map-mapdecor-controls');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapdecor') as $field): ?>
				<li>
				<?php 
				echo $field->label;
				echo $field->input;
				?>
				</li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_GEOFINDCONTROL'), 'map-findcontrol');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapcontrolgeofind') as $field): ?>
				<li><?php echo $field->label;echo $field->input;?></li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_MAPPOSITION'), 'control-positions');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('positions') as $field): ?>
				<li><?php echo $field->label;echo $field->input;?></li>
			<?php endforeach; ?>
		</ul>
	</fieldset>
	
	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_MAPMARKER'), 'map-marker');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapmarker') as $field): ?>
				<li><?php 

				if ($field->id == 'jform_hoverinfobubble')
				{

					echo $field->label;
					array_unshift($this->infobubbleStyleList, JHTML::_('select.option', '', JText::_( 'COM_ZHGOOGLEMAP_MAP_DETAIL_INFOBUBBLESTYLE_DEFAULT'), 'value', 'text')); 
					echo JHTML::_( 'select.genericlist', $this->infobubbleStyleList, 'jform[hoverinfobubble]',  'class="inputbox" size="1"', 'value', 'text', (int)$this->item->hoverinfobubble, 'jform_hoverinfobubble');
					//echo $field->label;
					//echo $field->input;
				}
				else
				{
					echo $field->label;
					echo $field->input;
				}
				?></li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_DETAIL_PLACEMARKLIST'), 'map-markerlist');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapmarkerlist') as $field): ?>
				<li><?php echo $field->label;echo $field->input;?></li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_MAPMARKERGROUP'), 'map-markergroup');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapmarkergroup') as $field): ?>
				<li><?php echo $field->label;echo $field->input;?></li>
			<?php endforeach; ?>
		</ul>
	</fieldset>
	
	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_MAPROUTE'), 'map-route');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('maproute') as $field): ?>
				<li><?php echo $field->label;echo $field->input;?></li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_PLACES'), 'map-places');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapplaces') as $field): ?>
				<li><?php echo $field->label;echo $field->input;?></li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_PANORAMIO'), 'map-panoramio');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mappanoramio') as $field): ?>
				<li>
				<?php 
				if ($field->id == 'jform_panoramiotypeid')
				{
					echo $field->label;
						array_unshift($this->mapWidgetTypeList, JHTML::_('select.option', '0', JText::_( 'COM_ZHGOOGLEMAP_MAP_DETAIL_PANORAMIOTYPEID_DEFAULT'), 'value', 'text')); 
					echo JHTML::_( 'select.genericlist', $this->mapWidgetTypeList, 'jform[panoramiotypeid]',  'class="inputbox required" size="1"', 'value', 'text', (int)$this->item->panoramiotypeid, 'jform_panoramiotypeid');
					//echo $field->label;
					//echo $field->input;
				}
				else
				{
					echo $field->label;
					echo $field->input;
				}
				?>
				</li>

			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_MAPADVANCED'), 'map-advanced');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapadvanced') as $field): ?>
				<li>
				<?php 
				if ($field->id == 'jform_streetviewstyleid')
				{
					echo $field->label;
						array_unshift($this->mapStreetViewList, JHTML::_('select.option', '0', JText::_( 'COM_ZHGOOGLEMAP_MAP_DETAIL_STREETVIEW_STYLE_DEFAULT'), 'value', 'text')); 
					echo JHTML::_( 'select.genericlist', $this->mapStreetViewList, 'jform[streetviewstyleid]',  'class="inputbox required" size="1"', 'value', 'text', (int)$this->item->streetviewstyleid, 'jform_streetviewstyleid');
					//echo $field->label;
					//echo $field->input;
				}
				else
				{
					echo $field->label;
					echo $field->input;
				}
				?>
				</li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAP_GEOLOCATION'), 'map-geolocation');?>
	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('mapgeolocation') as $field): ?>
				<li><?php echo $field->label;echo $field->input;?></li>
			<?php endforeach; ?>
		</ul>
	</fieldset>

	<?php echo JHtml::_('sliders.panel', JText::_('COM_ZHGOOGLEMAP_MAPMARKER_DETAIL_INTEGRATION'), 'integration-attributes');?>

	<fieldset class="adminform">
		<ul class="adminformlist">
			<?php foreach($this->form->getFieldset('integration') as $field): ?>
				<li><?php 
					echo $field->label;
					echo $field->input;
					?>
				</li>
			<?php endforeach; ?>
		</ul>
	</fieldset>
	
	<?php echo JHtml::_('sliders.end'); ?>
</div>

<div id="mapDivWrapper" class="width-40 fltrt" style="margin:0;padding:0;width:100%;height:450px">

<div id="GMapsID" class="width-40 fltrt" style="margin:0;padding:0;width:100%;height:420px">
	<fieldset class="adminform">
<?php 


$document	= JFactory::getDocument();
$loadmodules	='';

$mapDefLat = $this->mapDefLat;
$mapDefLng = $this->mapDefLng;

$mapMapTypeGoogle = $this->mapMapTypeGoogle;
$mapMapTypeOSM = $this->mapMapTypeOSM;
$mapMapTypeCustom = $this->mapMapTypeCustom;


//Script begin
$scripttext = '<script type="text/javascript" >//<![CDATA[' ."\n";


	$scripttext .= 'var initialLocation;' ."\n";
	$scripttext .= 'var spblocation;' ."\n";
	$scripttext .= 'var browserSupportFlag =  new Boolean();' ."\n";
	$scripttext .= 'var map;' ."\n";
	$scripttext .= 'var infowindow;' ."\n";
	$scripttext .= 'var marker;' ."\n";


	$scripttext .= 'function initialize() {' ."\n";

	$scripttext .= 'infowindow = new google.maps.InfoWindow();' ."\n";
	
	if ($mapDefLat != "" && $mapDefLng !="")
	{
		$scripttext .= 'spblocation = new google.maps.LatLng('.$mapDefLat.', '.$mapDefLng.');' ."\n";
	}
	else
	{
		$scripttext .= 'spblocation = new google.maps.LatLng(59.9388, 30.3158);' ."\n";
	}

	$scripttext .= 'var myOptions = {' ."\n";
	$scripttext .= '    zoom: 14,' ."\n";
	$scripttext .= '    mapTypeId: google.maps.MapTypeId.ROADMAP,' ."\n";
	$scripttext .= '      panControl: true,' ."\n";
	$scripttext .= '      zoomControl: true,' ."\n";
	$scripttext .= '      zoomControlOptions: {' ."\n";
	$scripttext .= '            style: google.maps.ZoomControlStyle.DEFAULT' ."\n";
	$scripttext .= '          },' ."\n";
	$scripttext .= '      mapTypeControl: true,' ."\n";
	$scripttext .= '      mapTypeControlOptions: {' ."\n";
	$scripttext .= '      mapTypeIds: [' ."\n";

	$curr_maptype_list = '';
	
    if ((int)$mapMapTypeGoogle != 0
	  || ((int)$mapMapTypeCustom == 0
	     && (int)$mapMapTypeOSM == 0))
	{
		$curr_maptype_list .= '	  google.maps.MapTypeId.ROADMAP,' ."\n";
		$curr_maptype_list .= '	  google.maps.MapTypeId.TERRAIN,' ."\n";
		$curr_maptype_list .= '	  google.maps.MapTypeId.SATELLITE,' ."\n";
		$curr_maptype_list .= '	  google.maps.MapTypeId.HYBRID' ."\n";
	}

    if ((int)$mapMapTypeOSM != 0)
	{
		if ($curr_maptype_list == '')
		{
			$curr_maptype_list .= '	 \'osm\'' ."\n";
		}
		else
		{
			$curr_maptype_list .= '	 ,\'osm\'' ."\n";
		}
	}
	
    if ((int)$mapMapTypeCustom != 0)
	{
		// Custom Map Type - part 0 (add to list) - begin
		foreach ($maptypes as $key => $currentmaptype) 
		{
			if ($currentmaptype->gettileurl != "")
			{
				if ($curr_maptype_list == '')
				{
					$curr_maptype_list .= '	  \'customMapType'.$currentmaptype->id.'\'' ."\n";
				}
				else
				{
					$curr_maptype_list .= '	  ,\'customMapType'.$currentmaptype->id.'\'' ."\n";
				}
			}
		}
		// Custom Map Type - part 0 (add to list) - end
	}

	$scripttext .= $curr_maptype_list;

	$scripttext .= '	]' ."\n";
	$scripttext .= '      },' ."\n";
	$scripttext .= '      scaleControl: false,' ."\n";
	$scripttext .= '      streetViewControl: false,' ."\n";
	$scripttext .= '      rotateControl: false,' ."\n";
	$scripttext .= '      overviewMapControl: true' ."\n";

	$scripttext .= '  };' ."\n";
		
    if ((int)$mapMapTypeOSM != 0)
	{
		$scripttext .= ' var openStreetType = new google.maps.ImageMapType({' ."\n";
		$scripttext .= '  getTileUrl: function(ll, z) {' ."\n";
		$scripttext .= '	var X = ll.x % (1 << z);  // wrap' ."\n";
		$scripttext .= '	return "http://tile.openstreetmap.org/" + z + "/" + X + "/" + ll.y + ".png";' ."\n";
		$scripttext .= '  },' ."\n";
		$scripttext .= '  tileSize: new google.maps.Size(256, 256),' ."\n";
		$scripttext .= '  isPng: true,' ."\n";
		$scripttext .= '  maxZoom: 18,' ."\n";
		$scripttext .= '  name: "OSM",' ."\n";
		$scripttext .= '  alt: "'.JText::_('COM_ZHGOOGLEMAP_MAP_OPENSTREETLAYER').'"' ."\n";
		$scripttext .= '}); ' ."\n";
	}

    if ((int)$mapMapTypeCustom != 0)
	{
		// Custom Map Type - part 1 (define) - begin
		foreach ($maptypes as $key => $currentmaptype) 	
		{
		
			if ($currentmaptype->gettileurl != "")
			{

				$scripttext .= ' var customMapType'.$currentmaptype->id.' = new google.maps.ImageMapType({' ."\n";
				$scripttext .= '  getTileUrl: '.$currentmaptype->gettileurl.',' ."\n";
				$scripttext .= '  tileSize: new google.maps.Size('.$currentmaptype->tilewidth.', '.$currentmaptype->tileheight.'),' ."\n";
				if ((int)$currentmaptype->ispng == 1)
				{
					$scripttext .= '  isPng: true,' ."\n";
				}
				else
				{
					$scripttext .= '  isPng: false,' ."\n";
				}
				if ((int)$currentmaptype->minzoom != 0)
				{
					$scripttext .= '  minZoom: '.(int)$currentmaptype->minzoom.',' ."\n";
				}
				if ((int)$currentmaptype->maxzoom != 0)
				{
					$scripttext .= '  maxZoom: '.(int)$currentmaptype->maxzoom.',' ."\n";
				}
				if ($currentmaptype->opacity != "")
				{
					$scripttext .= '  opacity: '.$currentmaptype->opacity.','."\n";
				}
				$scripttext .= '  name: "'.str_replace('"','', $currentmaptype->title).'",' ."\n";
				$scripttext .= '  alt: "'.str_replace('"','', $currentmaptype->description).'",' ."\n";
				$scripttext .= '}); ' ."\n";
				
				// Add projection
				if ($currentmaptype->fromlatlngtopoint != "" && $currentmaptype->frompointtolatlng != "")
				{
					$scripttext .= $currentmaptype->projectionglobal."\n";
					
					$scripttext .= ' function customMapTypeProjection'.$currentmaptype->id.'() {'."\n";
					$scripttext .= $currentmaptype->projectiondefinition."\n";
					$scripttext .= ' }'."\n";
					
					$scripttext .= ' customMapTypeProjection'.$currentmaptype->id.'.prototype.fromLatLngToPoint  = ';
					$scripttext .= $currentmaptype->fromlatlngtopoint."\n";
					$scripttext .= ';'."\n";

					$scripttext .= ' customMapTypeProjection'.$currentmaptype->id.'.prototype.fromPointToLatLng = ';
					$scripttext .= $currentmaptype->frompointtolatlng."\n";
					$scripttext .= ';'."\n";
					
					$scripttext .= ' customMapType'.$currentmaptype->id.'.projection  = new customMapTypeProjection'.$currentmaptype->id.'();' ."\n";
				}

			}
		
		}
		// Custom Map Type - part 1 (define) - end
	}
	
    $scripttext .= '    map = new google.maps.Map(document.getElementById("GMapsID"), myOptions);' ."\n";

    if ((int)$mapMapTypeOSM != 0)
	{
		$scripttext .= ' map.mapTypes.set(\'osm\', openStreetType);' ."\n";
		if (((int)$mapMapTypeOSM == 2)
		 || ((int)$mapMapTypeGoogle == 0
	        && (int)$mapMapTypeCustom == 0))
		{
			$scripttext .= '    map.setMapTypeId(\'osm\');' ."\n";
		}
	}

    if ((int)$mapMapTypeCustom != 0)
	{
		// Custom Map Type - part 2 (bind) - begin
		foreach ($maptypes as $key => $currentmaptype) 	
		{
			if ($currentmaptype->gettileurl != "")
			{
				$scripttext .= ' map.mapTypes.set(\'customMapType'.$currentmaptype->id.'\', customMapType'.$currentmaptype->id.');' ."\n";	
				if (((int)$mapMapTypeCustom == 2)
					|| ((int)$mapMapTypeGoogle == 0
						&& (int)$mapMapTypeOSM == 0))
				{
					$scripttext .= '    map.setMapTypeId(\'customMapType'.$currentmaptype->id.'\', customMapType'.$currentmaptype->id.');' ."\n";
				}
			}
		}
		// Custom Map Type - part 2 (bind) - end
	}
	
	if (isset($this->item->latitude) && isset($this->item->longitude) )
	{
		$scripttext .= 'initialLocation = new google.maps.LatLng('.$this->item->latitude.', ' .$this->item->longitude.');' ."\n";
	        $scripttext .= '  map.setCenter(initialLocation);' ."\n";

		$scripttext .= '  marker = new google.maps.Marker({' ."\n";
		$scripttext .= '      position: initialLocation, ' ."\n";
		$scripttext .= '      draggable:true, ' ."\n";
		$scripttext .= '      map: map, ' ."\n";
		$scripttext .= '      animation: google.maps.Animation.DROP,' ."\n";
		// Replace to new, because all charters are shown
		//$scripttext .= '      title:"'.htmlspecialchars(str_replace('\\', '/', $this->item->title) , ENT_QUOTES, 'UTF-8').'"' ."\n";		
		$scripttext .= '      title:"'.str_replace('\\', '/', str_replace('"', '\'\'', $this->item->title)).'"' ."\n";
		$scripttext .= '});'."\n";

		$scripttext .= '    google.maps.event.addListener(marker, \'drag\', function(event) {' ."\n";
		$scripttext .= '    document.forms.adminForm.jform_longitude.value = event.latLng.lng();' ."\n";
		$scripttext .= '    document.forms.adminForm.jform_latitude.value = event.latLng.lat();' ."\n";
		$scripttext .= '    });' ."\n";
		
		$scripttext .= '    google.maps.event.addListener(map, \'click\', function(event) {' ."\n";
		$scripttext .= '    marker.setPosition(event.latLng);' ."\n";
		$scripttext .= '    document.forms.adminForm.jform_longitude.value = event.latLng.lng();' ."\n";
		$scripttext .= '    document.forms.adminForm.jform_latitude.value = event.latLng.lat();' ."\n";
		$scripttext .= '    });' ."\n";

	}
	else
	{
		$scripttext .= 'initialLocation = spblocation;' ."\n";
	        $scripttext .= '  map.setCenter(initialLocation);' ."\n";

		$scripttext .= '  marker = new google.maps.Marker({' ."\n";
		$scripttext .= '      position: initialLocation, ' ."\n";
		$scripttext .= '      draggable:true, ' ."\n";
		$scripttext .= '      map: map, ' ."\n";
		$scripttext .= '      animation: google.maps.Animation.DROP,' ."\n";
		// Replace to new, because all charters are shown
		//$scripttext .= '      title:"'.htmlspecialchars(str_replace('\\', '/', $this->item->title) , ENT_QUOTES, 'UTF-8').'"' ."\n";		
		$scripttext .= '      title:"'.str_replace('\\', '/', str_replace('"', '\'\'', $this->item->title)).'"' ."\n";
		$scripttext .= '});'."\n";

		$scripttext .= '    google.maps.event.addListener(marker, \'drag\', function(event) {' ."\n";
		$scripttext .= '    document.forms.adminForm.jform_longitude.value = event.latLng.lng();' ."\n";
		$scripttext .= '    document.forms.adminForm.jform_latitude.value = event.latLng.lat();' ."\n";
		$scripttext .= '    });' ."\n";
		
		$scripttext .= '    google.maps.event.addListener(map, \'click\', function(event) {' ."\n";
		$scripttext .= '    marker.setPosition(event.latLng);' ."\n";
		$scripttext .= '    document.forms.adminForm.jform_longitude.value = event.latLng.lng();' ."\n";
		$scripttext .= '    document.forms.adminForm.jform_latitude.value = event.latLng.lat();' ."\n";
		$scripttext .= '    });' ."\n";

        $scripttext .= '    map.setCenter(initialLocation);' ."\n";
	$scripttext .= '    marker.setPosition(initialLocation);' ."\n";
	        $scripttext .= '      // Try W3C Geolocation method (Preferred)' ."\n";
	        $scripttext .= '      if(navigator.geolocation) {' ."\n";
        	$scripttext .= '        browserSupportFlag = true;' ."\n";
	        $scripttext .= '        navigator.geolocation.getCurrentPosition(function(position) {' ."\n";
        	$scripttext .= '          initialLocation = new google.maps.LatLng(position.coords.latitude,position.coords.longitude);' ."\n";
        $scripttext .= '    map.setCenter(initialLocation);' ."\n";
	$scripttext .= '    marker.setPosition(initialLocation);' ."\n";
	        //$scripttext .= '          contentString = "Location found using W3C standard";' ."\n";
	        //$scripttext .= '          infowindow.setContent(contentString);' ."\n";
        	//$scripttext .= '          infowindow.setPosition(initialLocation);' ."\n";
	        //$scripttext .= '          infowindow.open(map);' ."\n";
        	$scripttext .= '        }, function() {' ."\n";
	        $scripttext .= '          handleNoGeolocation(browserSupportFlag);' ."\n";
        	$scripttext .= '        });' ."\n";
	        $scripttext .= '      } else if (google.gears) {' ."\n";
        	$scripttext .= '        // Try Google Gears Geolocation' ."\n";
	        $scripttext .= '        browserSupportFlag = true;' ."\n";
        	$scripttext .= '        var geo = google.gears.factory.create(\'beta.geolocation\');' ."\n";
	        $scripttext .= '        geo.getCurrentPosition(function(position) {' ."\n";
        	$scripttext .= '          initialLocation = new google.maps.LatLng(position.latitude,position.longitude);' ."\n";
        $scripttext .= '    map.setCenter(initialLocation);' ."\n";
	$scripttext .= '    marker.setPosition(initialLocation);' ."\n";
	        //$scripttext .= '          contentString = "Location found using Google Gears";' ."\n";
	        //$scripttext .= '          infowindow.setContent(contentString);' ."\n";
        	//$scripttext .= '          infowindow.setPosition(initialLocation);' ."\n";
	        //$scripttext .= '          infowindow.open(map);' ."\n";
	        $scripttext .= '        }, function() {' ."\n";
        	$scripttext .= '          handleNoGeolocation(browserSupportFlag);' ."\n";
        	$scripttext .= '        });' ."\n";
	        $scripttext .= '      } else {' ."\n";
        	$scripttext .= '        // Browser doesn\'t support Geolocation' ."\n";
	        $scripttext .= '        browserSupportFlag = false;' ."\n";
        	$scripttext .= '        handleNoGeolocation(browserSupportFlag);' ."\n";
	        $scripttext .= '      }' ."\n";
	}



// end initialize	
$scripttext .= '};' ."\n";

$scripttext .= 'function loadScript() {' ."\n";
$scripttext .= '  var script = document.createElement("script");' ."\n";
$scripttext .= '  script.type = "text/javascript";' ."\n";
$scripttext .= '  script.src = "http://maps.googleapis.com/maps/api/js?sensor=false&callback=initialize";' ."\n";
$scripttext .= '  document.body.appendChild(script);' ."\n";
$scripttext .= '};' ."\n";


$scripttext .= 'function handleNoGeolocation(errorFlag) {' ."\n";
$scripttext .= '  if (errorFlag == true) {' ."\n";
$scripttext .= '    initialLocation = spblocation;' ."\n";
//$scripttext .= '    contentString = "Error: The Geolocation service failed.";' ."\n";
$scripttext .= '  } else {' ."\n";
$scripttext .= '    initialLocation = spblocation;' ."\n";
//$scripttext .= '    contentString = "Error: Your browser doesn\'t support geolocation.";' ."\n";
$scripttext .= '  }' ."\n";
$scripttext .= '  map.setCenter(initialLocation);' ."\n";
$scripttext .= '  marker.setPosition(initialLocation);' ."\n";
//$scripttext .= '  infowindow.setContent(contentString);' ."\n";
//$scripttext .= '  infowindow.setPosition(initialLocation);' ."\n";
//$scripttext .= '  infowindow.open(map);' ."\n";
$scripttext .= '};' ."\n";


$scripttext .= 'window.onload = loadScript;' ."\n";
	
$scripttext .= '//]]></script>' ."\n";
// Script end


echo $scripttext;

?>
</div>
<?php
	$credits ='<div>'."\n";
    if ((int)$mapMapTypeOSM != 0)
	{
		$credits .= 'OSM '.JText::_('COM_ZHGOOGLEMAP_MAP_POWEREDBY').': ';
		$credits .= '<a href="http://www.openstreetmap.org/" target="_blank">OpenStreetMap</a>'."\n";
	}
	$credits .='</div>'."\n";
echo $credits;
?>

</div>




<div>
	<input type="hidden" name="task" value="zhgooglemap.edit" />
	<?php echo JHtml::_('form.token'); ?>
</div>


</form>


